# Creating a new Access Group Membership

Adds a user to an access group. Note: To add a user to the Account Administrators access group, you must update
the user's account membership permission instead.


This endpoint returns structured Access Group Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the access_group_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /access_group_memberships
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- access_group (AccessGroup) - References the associated access group.
- user (User) - References the associated user.

## Request fields (application/json):

  - `access_group_membership` (object)

  - `access_group_membership.access_group_id` (integer, required)
    The ID of the access group to add the user to.

  - `access_group_membership.user_id` (integer, required)
    The ID of the user to add to the access group.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `access_group_memberships` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


